// JavaScript Document
/* 
 *     ATKtprof2xls                                                             
 *     Description: Generates coverage and Multi-event profiler data in CSV    
 *                      files & Excel sheet from the tprof file data.          
 *      Arguments  : 1. CCS installation directory                              
 *                   2. full program path + filename
 *                   3. program filename without extension                                        
 *                   4. full tprof path + filename
 *                   5. full xls path + filename                                         
 *                   6. ';' separated search path for program source files      
 *      Return Value: 0 on success                                              
 *                    !=0 otherwise
 */ 
function ATKtprof2xls(ccsInstallDir, progFile, progFilename, tprofFile, xlsFile, srcFilePaths)
{
    var ret_val;
    
    // NOTE: MUST supply full program path, full tprof path and full source paths to the ATK
    ret_val = WshShell.run(ccsInstallDir + "\\bin\\utilities\\coverage\\coverage.exe  \"" + progFile + "\" \"" + tprofFile + "\" \"" + srcFilePaths + "\"", 0, true); 
    WScript.echo(ccsInstallDir + "\\bin\\utilities\\coverage\\coverage.exe  \"" + progFile + "\" \"" + tprofFile + "\" \"" + srcFilePaths + "\""); 
    WScript.echo(ret_val);
    if ((ret_val >= 0) && (ret_val <= 2)) {  // Run cov2xls only if coverage succeeded
        var cov2xls_args = " -quite -nousage  -summary_hide \"#source lines\" -highlight \"Line Count: Max\" le 0 -summary_highlight \"%coverage\" le 0 -summary_hide \"#lines of code\" -summary_hide \"#lines executed\"";
        var summary_file = progFilename + "_summary.csv"; 
        ret_val = WshShell.run(ccsInstallDir + "\\bin\\utilities\\coverage\\cov2xls.exe \"" + summary_file + "\" " + cov2xls_args, 0, true); 
        WScript.echo(ccsInstallDir + "\\bin\\utilities\\coverage\\cov2xls.exe \"" + summary_file + "\" " + cov2xls_args);
        WScript.echo(ret_val);
        if (ret_val != 1) {
            ret_val = WshShell.run("cmd /c move /Y \"" + progFilename + "_summary.xls\" \"" + xlsFile + "\"" , 0, true);
            return 0;
        }
        else {
            return 1; // Failed in cov2xls.exe
        }
    }
    else {
        return 1;  // Failed in coverage.exe
    }
}
