// JavaScript Document
/* 
 *     ccs_scripting_constants.js
 *     Description: Contains all constants that are defined as part of CCS Scripting.
 *     
 */  
// enum ArchitectureType
var ISA_NONE  = 0xFFFF;
var ISA_C24	 = 0x0024;
var ISA_C27   = 0x0027;
var ISA_C28   = 0x0028;
var ISA_C54   = 0x0054;
var ISA_C55   = 0x0055;
var ISA_C62   = 0x0062;
var ISA_C64   = 0x0064;
var ISA_C67   = 0x0067;
var ISA_ARM7  = 0x0001;
var ISA_ARM9  = 0x0002;

// enum PageType
var PAGE_NONE      = 0xFFFF;
var PAGE_PROGRAM   = 0;
var PAGE_DATA      = 1;
var PAGE_IO        = 2;

// enum PlatformType
var NO_PLATFORM			= 0xFFFF;
var PLATFORM_EMULATOR	= 0x0000;
var PLATFORM_SIMULATOR	= 0x0001;

// enum VerboseType
var VERBOSE_NONE				= 0x0000;	// Print nothing
var VERBOSE_ERRORS_ONLY			= 0x0001;	// Print only errors that occur
var VERBOSE_FUNCTION_STATUS		= 0x0002;  // Print status at the end of each fcn
var VERBOSE_PARAMETERS			= 0x0004;	// Print parameters
var VERBOSE_SUBFUNCTIONS		= 0x0008;	// Print detailed trace inside functions
var VERBOSE_ALL					= 0xFFFF;

// Error codes
var ERROR_BASE				=	0x80040200;		// This is FACILITY_ITF, the base of user-defined COM errors
var CCS_OK					=	0x00000000;
var CCS_AUTOMATION_ERROR	=	ERROR_BASE;
var CCS_UNKNOWN_ERROR		=	ERROR_BASE + 1;
var CCS_NO_TARGETS			=	ERROR_BASE + 2;
var CCS_TARGET_NOT_FOUND	=	ERROR_BASE + 3;
var CCS_INVALID_MAJOR_ISA	=	ERROR_BASE + 4;
var CCS_INVALID_PLATFORM	=	ERROR_BASE + 5;
var CCS_INVALID_FILE		=	ERROR_BASE + 6;
var CCS_TRACE_NOT_FOUND		=	ERROR_BASE + 7;
var CCS_LOAD_FAILED			=   ERROR_BASE + 8;
var CCS_NOT_READABLE        =   ERROR_BASE + 9;
var CCS_NOT_WRITABLE        =   ERROR_BASE + 10;
var CCS_NO_MAP              =   ERROR_BASE + 11;
var CCS_NO_PROJ				=	ERROR_BASE + 12;
var CCS_REGISTER_NOT_FOUND  =   ERROR_BASE + 13;
var CCS_SYMBOL_NOT_FOUND	=	ERROR_BASE + 14;
var CCS_BREAKPOINT_NOT_FOUND=   ERROR_BASE + 15;
var CCS_LINE_NOT_FOUND      =   ERROR_BASE + 16;
var CCS_SCRIPT_TIMEOUT		=	ERROR_BASE + 17;
var CCS_INVALID_PROJ_CONFIG	=	ERROR_BASE + 18;
